Package org.eclipse.debug.ui.contexts

## Interface IDebugContextProvider2

All Superinterfaces:
  `IDebugContextProvider`

    public interface IDebugContextProvider2
    extends IDebugContextProvider

This extension to `IDebugContextProvider` allows clients to specify the scope that the context provider will apply to. With `IDebugContextProvider2`, a provider indicate if it should be a context provider for the entire `IWorkbenchWindow` or only for is given `IWorkbenchPart`.

This interface is intended to be implemented by clients

Since:
  3.7

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isWindowContextProvider()` Return whether the provider can be set as an active provider for the window.

### Methods inherited from interface org.eclipse.debug.ui.contexts.IDebugContextProvider

`addDebugContextListener, getActiveContext, getPart, removeDebugContextListener`

### Method Detail

#### isWindowContextProvider

    boolean isWindowContextProvider()

Return whether the provider can be set as an active provider for the window.

If `true`, when the provider's part is activated this provider will become the active debug context provider for the whole window. If `false`, this provider will only set the active context in a given workbench part.

Returns:
  `true` if this provider can act as the provider for the entire window, `false` if it can only be the provider for its given part. provider for a window.